Git Adapter date parsing ignores timezone
2008-11-08 14:53 - Kevin Chan

Status: Closed Start date: 2008-11-08
Priority: High Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed Affected version:

Description

Git adapter uses Time.parse() on the date string, in the format Sat Nov 8 02:20:44 2008 -0800
TIme.parse() is unable to parse the timezone in the above date correctly:

in irb:

>> Time.parse ("Sat Nov 8 02:20:44 2008 -0800")

=> Sat Nov 08 02:20:44 -0600 2008

The correct output should be the following (notice the placement of the year segment)

>> Time.parse ("Sat Nov 8 2008 02:20:44 -0800")
=> Sat Nov 08 04:20:44 -0600 2008

This is causing a major issue with the repository to have incorrect times.

Associated revisions

Revision 1995 - 2008-11-08 16:50 - Jean-Philippe Lang

Tells git to output dates in ISO format.
Fixes: Git Adapter date parsing ignores timezone (#2149).

History

#1 - 2008-11-08 16:51 - Jean-Philippe Lang
- Status changed from New to Resolved

- Resolution set to Fixed

| added --date=iso option to git commands in r1995.
That should fix the date parsing problem. Can you confirm?

#2 - 2008-11-08 17:33 - Kevin Chan

You changed path to git in your commit.

Might want to change that back.

#3 - 2008-11-08 18:16 - Jean-Philippe Lang

Sorry, fixed. Can | close this ticket ?

#4 - 2008-11-09 11:40 - Kevin Chan

Jean-Philippe Lang wrote:

Sorry, fixed. Can I close this ticket ?

Yea, works great.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1995

#5 - 2008-11-09 11:56 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Target version set to 0.8
